/*
outputChars.c

calculate and output to oth.log
*/

#include "oth.h"
#include "complex.h"
#include "oth_prototype.h"

void outputChars(FILE *fp)
{
	// input imepedanece
	if (NFeed) {
		calcZin();
		outputZin(fp);
	}

	// S-parameters
	if (NPoint) {
		calcSpara();
		outputSpara(fp);
	}

	// cross section
	if (IPlanewave) {
		outputCross(fp);
	}

	// power loss (if exists)
	calcPloss();
	outputPloss(fp);

	// coupling
	if (NFeed && NPoint) {
		outputCoupling(fp);
	}
}
